import { Component } from '@angular/core';
import {NzResultModule} from "ng-zorro-antd/result";
import {NzButtonComponent} from "ng-zorro-antd/button";
import {BrowserStorageService} from "../../../utils/localStorage.service";
import {NzMessageService} from "ng-zorro-antd/message";
import {Router} from "@angular/router";
import {LoginService} from "../../../services/login/login.service";
import {DATA, INIT_FLAG, LOGIN_DATA, USER_TOKEN} from "../../../data/login/localStorage.namespace";


@Component({
  selector: 'app-error401',
  standalone: true,
  imports: [
    NzResultModule,
    NzButtonComponent
  ],
  templateUrl: './error401.component.html',
  styleUrl: './error401.component.less'
})
export class Error401Component {
  constructor(
    private storage: BrowserStorageService,
    private message: NzMessageService,
    private router: Router,  // 路由
    private login: LoginService
  ) {}


  // 退出登录
  public loginOut(): void {
    this.login.loginOut( (data: any) => {
      if (data['return_code'] === '000000') {
        this.storage.remove(LOGIN_DATA);
        this.storage.remove(DATA);
        this.storage.remove(USER_TOKEN);
        this.storage.remove(INIT_FLAG);
        this.router.navigateByUrl('/login').then();
      } else {
        this.message.error(data['return_msg']);
      }
    });
  }
}
