import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class OrderGoodsService {

  constructor(private http: HttpClient) { }

  /**
   * 查询订单列表
   * @param param
   * @param callBack
   */
  public getListGoods(param: object, callBack:any) {
    this.http.get(environment.orderUrl + 'orderGoods/getListGoods?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  public updateLogisticsNo(params: object, callBack:any) {
    this.http.post(environment.orderUrl + 'orderGoods/updateLogisticsNo', params).subscribe(data => {
      callBack(data);
    });
  }

  public getLogisticsMsg(param: object, callBack:any) {
    this.http.get(environment.orderUrl + 'orderGoods/getLogisticsMsg?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }
}
