import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class OrderRefundService {

  constructor(private http: HttpClient) { }

  /**
   * 查询退款订单列表
   * @param param
   * @param callBack
   */
  public queryList(param: any, callBack:any) {
    param.time = new Date().getTime();
    this.http.get(environment.orderUrl + 'refund/queryList?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询退款订单
   * @param param
   * @param callBack
   */
  public queryRefund(param: any, callBack:any) {
    param.time = new Date().getTime();
    this.http.get(environment.orderUrl + 'refund/queryRefund?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

}
